/*
 *	ldd.h
 * $Id: ldd.h,v 1.2 1996-07-18 03:04:20+09 kabe Exp $
 */

#ifndef _LDD_H_
#define _LDD_H_

/* subspace name containig shared-library loading info */
/* see a.out_800(4) and <scnhdr.h> */
#define _SHLIB_INFO "$SHLIB_INFO$"

/* for _PA_RISC?_?_ID */
#include <magic.h>	

/* this should be included in magic.h; just in case for CPU_PA_RISC?_? */
#include <unistd.h>

/* check for _PA_RISC?_?_ID, and define it if needed */

#ifndef _PA_RISC1_0_ID
#ifndef CPU_PA_RISC1_0
#define CPU_PA_RISC1_0 0x20B
#endif
#define _PA_RISC1_0_ID CPU_PA_RISC1_0
#endif

#ifndef _PA_RISC1_1_ID
#ifndef CPU_PA_RISC1_1
#define CPU_PA_RISC1_1 0x210
#endif
#define _PA_RISC1_1_ID CPU_PA_RISC1_1
#endif

#ifndef _PA_RISC1_2_ID
#ifndef CPU_PA_RISC1_2
#define CPU_PA_RISC1_2 0x211
#endif
#define _PA_RISC1_2_ID CPU_PA_RISC1_2
#endif

#ifndef _PA_RISC2_0_ID
#ifndef CPU_PA_RISC2_0
#define CPU_PA_RISC2_0 0x214
#endif
#define _PA_RISC2_0_ID CPU_PA_RISC2_0
#endif

#ifndef HP9000S800_ID
#define HP9000S800_ID CPU_PA_RISC1_0
#endif

/* HPUX10 defines new header ID */
#ifndef DL_HDR_VERSION_ID2
#define DL_HDR_VERSION_ID2	93092112
#endif

#endif /*_LDD_H_*/
